image: alpine:latest
variables:
  # This variable will ensure that the CI runner pulls in your theme from the submodule
  GIT_SUBMODULE_STRATEGY: recursive

pages:
  script:
    # Install the zola package from the alpine community repositories
    - apk add --update-cache --repository http://dl-cdn.alpinelinux.org/alpine/edge/community/ zola
    # Execute zola build
    - zola build

  artifacts:
    paths:
      # Path of our artifacts
      - public

  # This config will only publish changes that are pushed on the master branch
  only:
    - masterimage: alpine:latest
variables:
  # This variable will ensure that the CI runner pulls in your theme from the submodule
  GIT_SUBMODULE_STRATEGY: recursive

pages:
  script:
    # Install the zola package from the alpine community repositories
    - apk add --update-cache --repository http://dl-cdn.alpinelinux.org/alpine/edge/community/ zola
    # Execute zola build
    - zola build

  artifacts:
    paths:
      # Path of our artifacts
      - public

  # This config will only publish changes that are pushed on the main branch
  only:
    - main
